#
# spec file for package libsnet
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:		libsnet
Version:	0.1+
Release:	5.2
Summary:	Library to the SNET kernel interface
%define lname	libsnet0
License:	LGPL-2.1
Group:		Productivity/Networking/Security
URL:		http://www.synack.fr/project/snet/snet.html

Source:		%name-%version.tar.xz
Source2:	LICENSE
BuildRoot:	%_tmppath/%name-%version-build
BuildRequires:	autoconf, automake >= 1.10, libtool
BuildRequires:	pkgconfig, xz
%if 0%{?suse_version} >= 1140 || 0%{?fedora_version}
BuildRequires:	pkgconfig(libnl-1)
%else
BuildRequires:	libnl-1_1-devel
%endif

%description

%package -n %lname
Group:          System/Libraries
Summary:	Library to the SNET kernel interface

%description -n %lname

%package devel
Summary:        Development files for libsnet
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel

%prep
%setup -qn %name

%build
if [ ! -e configure ]; then
	./autogen.sh;
fi;
%configure --disable-static --includedir=%_includedir/%name-%version
make %{?_smp_mflags};

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la;

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/*.so.0*

%files devel
%defattr(-,root,root)
%_includedir/libsnet*
%_libdir/libsnet.so
%_libdir/pkgconfig/*

%changelog
